import ru.ifmo.validate.ValidatingScanner;
import ru.ifmo.validate.Validator;
import ru.ifmo.validate.ValidatorFramework;

/**
 * @author Georgiy Korneev (kgeorgiy@kgeorgiy.info)
 */
public class Validate implements Validator {
    @Override
    public void validate(ValidatingScanner in) {
        int n = in.nextInt("n", 1, 1000);
        in.eoln();
        for (int i = 0; i < n; i++) {
            in.nextInt("w_" + (i + 1), 1, 1000);
            in.nextInt("h_" + (i + 1), 1, 1000);
            in.nextInt("f_" + (i + 1), 1, 1000);
            in.eoln();
        }
        in.close();
    }

    public static void main(String[] args) throws Exception {
        ClassLoader.getSystemClassLoader().setDefaultAssertionStatus(true);
        ValidatorFramework.main(args);
    }
}
